Atualizar Preferências
curl --request PATCH \
--url https://api.example.com/cyber/preferences \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"userHash": "<string>",
"allowWeeklyReport": true
}
'import requests
url = "https://api.example.com/cyber/preferences"
payload = {
"userHash": "<string>",
"allowWeeklyReport": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userHash: '<string>', allowWeeklyReport: true})
};
fetch('https://api.example.com/cyber/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Preferências atualizadas com sucesso."
}
Cyber (Proteção Digital)
Atualizar Preferências
Atualiza as configurações e preferências do usuário.
PATCH
/
cyber
/
preferences
Atualizar Preferências
Visão Geral
Permite modificar as preferências do usuário, como optar por receber ou não relatórios semanais.Autenticação
string
required
Sua chave de API fornecida pela Zentek.
Request Body
string
required
Hash único do usuário.
boolean
Habilita ou desabilita o envio de relatórios semanais.
Exemplo de Request
curl -X PATCH "https://api.partner.zentek.com.br/v1/cyber/preferences" \
-H "Content-Type: application/json" \
-H "x-api-key: SUA_API_KEY" \
-d '{
"allowWeeklyReport": true,
"userHash": "a1b2c3d4e5f6..."
}'
Response
{
"message": "Preferências atualizadas com sucesso."
}
Was this page helpful?
⌘I
